package com.red.circle.external.infra.database.redis.key;

import com.red.circle.component.redis.RedisKeys;

/**
 * 声网tokenkey.
 *
 * @author lixiaofei on 2023/12/12
 */
public enum LiveUserAgoraKey implements RedisKeys {

  /**
   * 用户声网token.
   */
  USER_AGORA_TOKEN,

  /**
   * 房间声网token.
   */
  ROOM_AGORA_TOKEN,

  /**
   * 用户账户id.
   */
  USER_ACCOUNT,

  ;


  @Override
  public String businessPrefix() {
    return "LMUser";
  }

  @Override
  public String businessKey() {
    return this.name();
  }

}
